# epochcli

CLI tool for updating and launching [Project Epoch](https://www.project-epoch.net/) on Windows, Linux and macOS.

If you're a Linux newbie or just looking for a simpler one-click solution, check out [this excellent Lutris script](https://lutris.net/games/project-epoch/) by another community member

## Installing

### Linux

A `wine` prefix with `dxvk` installed is sufficient, or you can use something like Lutris or faugus-launcher and just use `epochcli` for updating.

Download and extract the latest binary from the [releases](https://git.burkey.co/eburk/epochcli/releases) page, build from source yourself, or use homebrew from the macOS instructions to install.

If you are an Arch Linux (or derivative) user, you can use the provided [AUR package](https://aur.archlinux.org/packages/epochcli) to install

A tutorial for the full setup of Epoch on Arch Linux [can be found here](https://burkey.co/posts/epoch-linux/)

### macOS

For arm64 macOS (aka M1, M2 etc), I have built an app that handles all of Epoch's setup for you. [Go check it out](https://git.burkey.co/eburk/EpochSilicon)

Alternatively, you can easily install with homebrew or build from source yourself. I dont have time to setup codesigning right now so there are no binaries provided for macOS. For homebrew, do the following:

```shell
brew tap eburk/epochcli https://git.burkey.co/eburk/epochcli
brew install --HEAD epochcli

# To update
brew upgrade epochcli --fetch-HEAD
```

### Windows

Download and extract the latest binary from the [releases](https://git.burkey.co/eburk/epochcli/releases) page or build from source yourself, then copy `epochcli.exe` to a location of your choice. To make it easy, just use the same folder as your Wow game files.

## Setup

![ss](ss.png)

1. Run `epochcli`. You will be taken through a setup process that configures the program and creates a config file at `$HOME/.config/epochcli/config.toml`
2. You can now use `epochcli` as a standalone updater, but it can also act as a launcher based on your configuration. You can always run `epochcli -c` to redo the configuration, or edit the config file manually
3. By default, `epochcli` will delete any non-standard patches. This can be disabled by changing the configuration file's `RemoveUnknownPatches` value to `false`

## Usage
```
> ./epochcli -h
  -c    Runs config configuration step. Overrides the config file
  -f    Forces epochcli to update files even if they match the current version
  -h    Print help
  -u    Ignore EnableLauncher setting in config and only runs an update. Does nothing if EnableLauncher is false
```

## Issues

If you have any issues, [email me](mailto:epochcli@burkey.co) or send a private message to `Battlehammer` on the Epoch discord
